DBusWatch Struct Reference
DBusWatch implementation details

Implementation of DBusWatch. More...

## Data Fields

int | refcount
| Reference count.
int | fd
| File descriptor. More...
unsigned int | flags
| Conditions to watch. More...
DBusWatchHandler | handler
| Watch handler. More...
void * | handler_data
| Watch handler data. More...
DBusFreeFunction | free_handler_data_function
| Free the watch handler data. More...
void * | data
| Application data. More...
DBusFreeFunction | free_data_function
| Free the application data. More...
unsigned int | enabled: 1
| Whether it's enabled. More...
unsigned int | oom_last_time: 1
| Whether it was OOM last time. More...

## Detailed Description

Implementation of DBusWatch.

Definition at line 40 of file dbus-watch.c.

## Field Documentation

void* DBusWatch::data

Application data.

Definition at line 50 of file dbus-watch.c.

Referenced by dbus_watch_get_data(), and dbus_watch_set_data().

unsigned int DBusWatch::enabled

Whether it's enabled.

Definition at line 52 of file dbus-watch.c.

Referenced by _dbus_watch_list_toggle_watch(), _dbus_watch_new(), and dbus_watch_get_enabled().

int DBusWatch::fd

File descriptor.

Definition at line 43 of file dbus-watch.c.

Referenced by _dbus_watch_invalidate(), _dbus_watch_new(), _dbus_watch_unref(), dbus_watch_get_socket(), dbus_watch_get_unix_fd(), and dbus_watch_handle().

unsigned int DBusWatch::flags

Conditions to watch.

Definition at line 44 of file dbus-watch.c.

Referenced by _dbus_watch_invalidate(), _dbus_watch_new(), _dbus_watch_sanitize_condition(), dbus_watch_get_flags(), and dbus_watch_handle().

DBusFreeFunction DBusWatch::free_data_function

Free the application data.

Definition at line 51 of file dbus-watch.c.

Referenced by dbus_watch_set_data().

DBusFreeFunction DBusWatch::free_handler_data_function

Free the watch handler data.

Definition at line 48 of file dbus-watch.c.

Referenced by _dbus_watch_new(), _dbus_watch_set_handler(), and _dbus_watch_unref().

DBusWatchHandler DBusWatch::handler

Watch handler.

Definition at line 46 of file dbus-watch.c.

Referenced by _dbus_watch_new(), _dbus_watch_set_handler(), and dbus_watch_handle().

void* DBusWatch::handler_data

Watch handler data.

Definition at line 47 of file dbus-watch.c.

Referenced by _dbus_watch_new(), _dbus_watch_set_handler(), _dbus_watch_unref(), and dbus_watch_handle().

unsigned int DBusWatch::oom_last_time

Whether it was OOM last time.

Definition at line 53 of file dbus-watch.c.

The documentation for this struct was generated from the following file:

- dbus-watch.c